#ifndef MAINPAGE_JFPARAMETER_H
#define MAINPAGE_JFPARAMETER_H

#include <QWidget>
#include <QLabel>
#include <uart1.h>
class mainpage_JfParameter : public QWidget
{
    Q_OBJECT
public:
    explicit mainpage_JfParameter(QWidget *parent = nullptr);

private:
    QLabel *label_cspz_2_1;//局放参数修改页面label1
    QLabel *label_cspz_2_2;
    QLabel *label_cspz_2_3;
    QLabel *label_cspz_2_4;
    QLabel *label_cspz_2_5;
    QLabel *label_cspz_2_6;
    QLabel *label_cspz_2_7;
    QLabel *label_cspz_2_8;
    QLabel *label_cspz_2_9;
    QLabel *label_cspz_2_10;
    QLabel *label_disconnect_jufang;//局放未连接

    float Cspz_TevTop_data1,Cspz_TevFreq_data1,TevTop_data1,Cspz_TevAve_data1,
            Cspz_Tevperiodicity_data1,Cspz_UltTop_data1,Cspz_UltFreq_data1,
            Cspz_UltLevel_data1,Cspz_UltAve_data1,Cspz_UltEffective_data1;


    void DisplayMsg_cspz();
    float Qchange(QString asend);
    float Qchange2(QString asend2);
signals:
    void sigDispJuFangAlarm(bool);
private slots:
    void onPageSevenDataUpdate();
    void onJuFangStateCheck();
};

#endif // MAINPAGE_JFPARAMETER_H
